Bug 1674662 - arm-none-eabi-gcc-cs: FTBFS in Fedora rawhide/f30
Summary: arm-none-eabi-gcc-cs: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: arm-none-eabi-gcc-cs
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL: https://src.fedoraproject.org/rpms/ar...
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 16:50 UTC by Fedora Release Engineering
Modified: 2019-07-04 09:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-03 14:59:29 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 16:50 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 16:50 UTC, Fedora Release Engineering
no flags Details
state.log (673 bytes, text/plain)
2019-02-11 16:50 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 16:50:27 UTC
arm-none-eabi-gcc-cs failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32366001


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix arm-none-eabi-gcc-cs at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
arm-none-eabi-gcc-cs will be orphaned. Before branching of Fedora 31,
arm-none-eabi-gcc-cs will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 16:50:29 UTC
Created attachment 1529297 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 16:50:31 UTC
Created attachment 1529298 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 16:50:32 UTC
Created attachment 1529299 [details]
state.log

Comment 4 Richard Shaw 2019-02-28 14:32:21 UTC
See pull request which fixed the build for me. I don't have the link handy but I also submitted a scratch build and it completed on all arches.

Comment 5 Zbigniew Jędrzejewski-Szmek 2019-03-03 14:59:29 UTC
A build was successfull: arm-none-eabi-gcc-cs-7.4.0-1.fc30 [1].
Closing the bug.

[1]

Comment 6 Michal Hlavinka 2019-03-04 09:34:36 UTC
Richard: I saw that PR, but I used same approach as I've used with avr-gcc to rebase to 7.4

Comment 7 Richard Shaw 2019-03-04 14:21:16 UTC
Is the code still from codesourcery? A project I'm working on is using the arm developer package and has gcc 8.x which produces smaller binaries...

Comment 8 Michal Hlavinka 2019-03-04 14:46:55 UTC
Richard: not anymore, it's plain gcc. I will switch to 8.x later, but not yet. This is not their primary target architecture and it is a sort of second class citizen, so it takes a few releases to stabilize. We've been bit previously with updating too early. I think 7.4 is good for now, so probably with 8.4 release

Comment 9 Richard Shaw 2019-03-04 15:11:44 UTC
So probably not worth a re-review but the package should be renamed without the -cs...

Comment 10 Klaus Pedersen 2019-07-04 05:41:41 UTC
Michal Hlavinka, would it be possible to align the build scripts for this package with gcc-arm-linux-gnu? Currently gcc 9.1 (!)

Considering that CodeSoucery was absorbed my Mentor many years ago and 'lite' editions for ARM was discontinued shortly after, I think that the package description is a bit dishonest:

Name         : arm-none-eabi-gcc-cs
[...]
Summary      : GNU GCC for cross-compilation for arm-none-eabi target
URL          : http://www.codesourcery.com/sgpp/lite/arm
License      : GPLv2+ and GPLv3+ and LGPLv2+ and BSD
Description  : This is a Cross Compiling version of GNU GCC, which can be used
             : to compile for the arm-none-eabi platform, instead of for the
             : native x86_64 platform.
             : 
             : This package is based on the CodeSourcery %{cs_date}-%{cs_rel}
             : release, which includes improved ARM target support compared to
             : the corresponding GNU GCC release.

Comment 11 Michal Hlavinka 2019-07-04 09:56:19 UTC
Description and URL fixed in git
as for build scripts, no, because we need extra switches, newlib dependency, normal and nano version... it would be even bigger mess than it is right now

Update to 9.x branch will follow soon. I plan to do both avr-gcc and arm-none-eabi-gcc (and not only gcc) update once 9.2 is out, which I expect to happen during this month.


Note You need to log in before you can comment on or make changes to this bug.